Skip to main content
Identities

List templates used by an identity

List the Templates used by an Identity and their session statistics.

GET /api/v1/forward/identities/{identity_id}/agents

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT or SAT>

Path parameters

ParameterTypeRequiredDescription
identity_idstringYesForward Identity ID.

Example response

HTTP 200 OK
{
  "data": [
    {
      "template_id": "tmpl_support",
      "template_name": "Support assistant",
      "session_count": 8,
      "last_active_at": "2026-07-14T10:30:00Z"
    }
  ]
}

Response fields

FieldTypeDescription
dataarrayTemplate usage statistics.
data[].template_idstringForward Template ID.
data[].template_namestringTemplate name.
data[].session_countintegerNumber of sessions that the Identity created with the Template.
data[].last_active_atstring|nullMost recent activity time in RFC 3339 format.

Errors

HTTPTypeCodeTrigger
401authentication_errorauthentication_requiredThe PAT or SAT is invalid, expired, or missing.
404not_found_error-The Identity does not exist or is not visible to the caller.